Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.exception
Class InvalidUserException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              jet.JException
                  jet.JSException
                      jet.server.api.exception.InvalidUserException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidUserException

extends jet.JSException

Invalid user exception.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class jet.JException
`jet.JException.LogLevel`

Field Summary
`static int` | `EXCEPTION_TYPE_NO_ERROR`
`static int` | `EXCEPTION_TYPE_PASSWORD_EXPIRY`

Constructor Summary
`InvalidUserException(int exceptionType)` Constructs a new `InvalidUserException` with the specified exception type, the cause is not initialized.
`InvalidUserException(int msgKey, int exceptionType)` Constructs a new `InvalidUserException` with the specified message, the cause is not initialized.
`InvalidUserException(int msgKey, java.lang.Object[] params, java.lang.Throwable cause, int exceptionType)` Constructs a new throwable with the specified detailed message and cause.
`InvalidUserException(int msgKey, java.lang.Throwable cause, int exceptionType)` Constructs a new `InvalidUserException` with the specified detailed message and cause.
`InvalidUserException(java.lang.String message, int exceptionType)` Constructs a new `InvalidUserException` with the specified message, the cause is not initialized.
`InvalidUserException(java.lang.Throwable cause, int exceptionType)` Constructs a new `InvalidUserException` with the specified cause and a `null`message.``

Method Summary
`int` | `getExceptionType()`
`void` | `setExceptionType(int exceptionType)`

Methods inherited from class jet.JSException
`getErrorKey`

Methods inherited from class jet.JException
`getMessages, getThrowables, logTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EXCEPTION_TYPE_NO_ERROR

    public static final int EXCEPTION_TYPE_NO_ERROR

See Also:
  Constant Field Values

### EXCEPTION_TYPE_PASSWORD_EXPIRY

    public static final int EXCEPTION_TYPE_PASSWORD_EXPIRY

See Also:
  Constant Field Values

Constructor Detail

### InvalidUserException

    public InvalidUserException(int msgKey,
                                java.lang.Object[] params,
                                java.lang.Throwable cause,
                                int exceptionType)

  Constructs a new throwable with the specified detailed message and cause.

  Parameters:
    `msgKey` - the message key in strJError, for finding the message, and which will be logged and shown to user.
    `params` - the parameters used for formatting the message string, which can be null.
    `cause` - the cause which is saved for later retrieval by the getCause.
    `exceptionType` - the exception type.

### InvalidUserException

    public InvalidUserException(int msgKey,
                                java.lang.Throwable cause,
                                int exceptionType)

  Constructs a new `InvalidUserException` with the specified detailed message and cause.

  Parameters:
    `msgKey` - the message key.
    `cause` - the cause. A `null` is permitted, and it indicates the cause is nonexistent or unknown.
    `exceptionType` - the exception type.

### InvalidUserException

    public InvalidUserException(int msgKey,
                                int exceptionType)

  Constructs a new `InvalidUserException` with the specified message, the cause is not initialized.

  Parameters:
    `msgKey` - the message key.
    `exceptionType` - the exception type.

### InvalidUserException

    public InvalidUserException(java.lang.Throwable cause,
                                int exceptionType)

  Constructs a new `InvalidUserException` with the specified cause and a `null`message.

  Parameters:
    `cause` - the cause.
    `exceptionType` - the exception type.
  ``

### InvalidUserException

    public InvalidUserException(java.lang.String message,
                                int exceptionType)

  Constructs a new `InvalidUserException` with the specified message, the cause is not initialized.

  Parameters:
    `message` - the detailed message.
    `exceptionType` - the exception type.

### InvalidUserException

    public InvalidUserException(int exceptionType)

  Constructs a new `InvalidUserException` with the specified exception type, the cause is not initialized.

  Parameters:
    `exceptionType` - the exception type.

Method Detail

### getExceptionType

    public int getExceptionType()

### setExceptionType

    public void setExceptionType(int exceptionType)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD